<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">NVS Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classNVS.html">NVS</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classNVS.html#aadcc511b9113a56700ba56b070135e41">commit</a>()</td><td class="entry"><a class="el" href="classNVS.html">NVS</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classNVS.html#aa0a90a5ea01bccb557c3a18d701ef859">erase</a>()</td><td class="entry"><a class="el" href="classNVS.html">NVS</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classNVS.html#a3c9194213a36196cc2915d2b7b1a2bae">erase</a>(std::string key)</td><td class="entry"><a class="el" href="classNVS.html">NVS</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classNVS.html#a36b01ca8871d435f7a9c885d81df8e3c">get</a>(std::string key, std::string *result, bool isBlob=false)</td><td class="entry"><a class="el" href="classNVS.html">NVS</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get</b>(std::string key, uint8_t *result, size_t &amp;length) (defined in <a class="el" href="classNVS.html">NVS</a>)</td><td class="entry"><a class="el" href="classNVS.html">NVS</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get</b>(std::string key, uint32_t &amp;value) (defined in <a class="el" href="classNVS.html">NVS</a>)</td><td class="entry"><a class="el" href="classNVS.html">NVS</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classNVS.html#ab1692081a875f4b0013277ee121e6522">NVS</a>(std::string name, nvs_open_mode openMode=NVS_READWRITE)</td><td class="entry"><a class="el" href="classNVS.html">NVS</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classNVS.html#aada586fb7a5ae6781fc7d2e2babf9894">set</a>(std::string key, std::string data, bool isBlob=false)</td><td class="entry"><a class="el" href="classNVS.html">NVS</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set</b>(std::string key, uint32_t value) (defined in <a class="el" href="classNVS.html">NVS</a>)</td><td class="entry"><a class="el" href="classNVS.html">NVS</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set</b>(std::string key, uint8_t *data, size_t length) (defined in <a class="el" href="classNVS.html">NVS</a>)</td><td class="entry"><a class="el" href="classNVS.html">NVS</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classNVS.html#a23bef809c0a495d65f01c3e58e260bdd">~NVS</a>()</td><td class="entry"><a class="el" href="classNVS.html">NVS</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
